<template>
	<view>
		<view class="xw_content" v-for="(item,index) in cjsList" :key="index" @click="clickCj(item)">
			<u--image :src="imgUrl+item.cover" width="112rpx" height="112rpx" :lazy-load="true">
			</u--image>
			<view class="xw_right">
				<view class="xw_title">
					{{item.name}}
				</view>
				<view style="display: flex;">
					<!-- <text class="cj_tags" v-for="(tagsItem,tagsIndex) in item.tags" :key="tagsIndex">
						{{tagsItem.tag}}
					</text> -->
					<text class="cj_tags">{{item.tag}}</text>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				cjsList: [],
				imgUrl: '',
			}
		},
		created() {
			this.getCertifiedCj()
			this.imgUrl = uni.getStorageSync('img_url')
		},
		methods: {
			// 获取认证厂家列表
			getCertifiedCj() {
				this.$apiServe.getCertifiedCj().then(res => {
					// console.log('认证厂家', res.data.data)
					this.cjsList = res.data.data
				}).finally(_ => {})
			},
			// 跳转到认证厂家详情页
			clickCj(item) {
				uni.navigateTo({
					url: '../../packageReport/certifiedCjDetail/certifiedCjDetail?id=' + item.id
				})
			}
		}
	}
</script>

<style>

</style>
